Subject: [bug#42192] [PATCH 0/3] Improve launchpad updater

From: Ludovic Courtès <[email-masked]>
Date: Mon, 31 Aug 2020 15:29:34 +0200

Hi Arun,

Arun Isaac <[email-masked]> skribis:

> This patchset fixes a bug in the launchpad importer, and improves it to
> recognize more URLs and extensions. `guix refresh --list-updaters` reports an
> improvement in coverage from 0.1% to 0.2%.

All three patches LGTM, thank you!

> On a side note, all our updaters try to detect the URL format through a series
> of guesses. But, all our packages already encode information about how to
> construct the source URL from the version. If we could somehow tap into that
> information, our updaters would be much simpler. Unfortunately, all the uri
> fields of packages are strings. We would need them to be functions that take
> the version as an argument. This is a major conversion. Is it feasible? Any
> better ideas?

I sympathize with the idea, but I think it’s a bit too ambitious.  All
in all, what we currently have seems like a reasonable tradeoff.

Ludo’.